> # NAME

> FogDensity - 3D API fog density

> # USAGE

> FogDensity = float(density)

> # VALID ENUMERANTS

> density: floating point value

> # DESCRIPTION

> Specify the fog density to use in exponential fog equations. See the GL_FOG_DENSITY description on the OpenGL glFog manual page for details. See the D3DRS_FOGDENSITY render state description for DirectX 9.

> The standard reset callback sets the FogDensity state to float(1).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> FogColor, FogCoordSrc, FogDistanceMode, FogEnable, FogEnd, FogMode, FogStart, FogTableMode, FogVertexMode, RangeFogEnable